Skip to main content
POST
/
api
/
inference
/
infer
Infer
curl --request POST \
  --url https://platform.agileloop.ai/api/inference/infer \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'image_url=<string>' \
  --form 'query=click on face in the image.'
import requests

url = "https://platform.agileloop.ai/api/inference/infer"

payload = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"image_url\"\r\n\r\n<string>\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"query\"\r\n\r\nclick on face in the image.\r\n-----011000010111000001101001--"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "multipart/form-data"
}

response = requests.post(url, data=payload, headers=headers)

print(response.text)
const form = new FormData();
form.append('image_url', '<string>');
form.append('query', 'click on face in the image.');

const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

options.body = form;

fetch('https://platform.agileloop.ai/api/inference/infer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

multipart/form-data
image_url
string
query
string
Example:

"click on face in the image."

Response

200 - application/json

Successful response